Subject: End-to-End QoS Routing

From: [email-masked]
Date: Mon, 22 Jul 2002 16:24:47 -0400

Fred,

  You completely misunderstood my good intensions.

-> >PS: I am speaking as an individual.
-> 
-> This is an IETF list. We are all individuals in this forum. 
-> Frankly, if 
-> your opinion would be different if you posted from a different email 
-> address, it's not actually your opinion, and I'm not particularly 
-> interested in it.

  As an young individual I don't want to convince you about
  my good intensions. Please read on...

-> I guess my question is "please state the problem".
-> What is the problem you want to solve, that your proposal might be a 
-> solution to?

  Hummel question is different. Both of us provided the
  same answer to Hummel question.

  My question is nothing to do with Diff-Routing. It's about
  QoS Routing w.r.t End-End behavior. I am not at all 
  asking to route at the circuit level.

  Question:
  All the current QoS routing (MPLS-TE) is limited to 
  an Area (a small fraction in the Internet). Using all 
  these QoS routing extensions are confined to these small
  areas will not buy us (an end users) anything in the 
  long run (end-to-end Internet perspective). Do you agree?

  If not,
  "How can we deliver real-time services (differentiated)
   with some end-to-end guarantee over the Internet?"

  Possible Solution(s):
  1. Hierarchical QoS Routing
  ---------------------------
  This is already an on-going discussion in IETF & IRTF:

  "Do you think that there is no such need for
   Hierarchical QoS Routing in the Internet (to provide
   differentiated service end-to-end)?" 
  
  2. Other Possible Solutions
  ---------------------------
  If we worry about scalability & aggregation of
  hierarchical QoS routing, we can search for other
  possibilities. For example, "LSP stitching" from
  source AS till destination AS. This does not 
  require any enhancements to IGPs but requires
  some way of communications of the QoS parameters
  across EGP boundaries.

  Regardless of Routing possibilities, signaling 
  protocols must provide mechanisms for accross AS 
  signaling. That is under NSIS study. Am I right?

  Again, to be specific, what are the different 
  alternatives for end-to-end QoS routing? Is 
  there any requirement to "extend" QoS routing
  beyond AS boundaries? 

  I think there is definite need (based on transport 
  area WG efforts to provide real-time services over 
  Internet). Do you agree?

  PS: Fred, I request you not to frame any opinions
      based on from address. :) SMTP doesn't validate 
      sender's address. :-)

--
Venkata.

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion